StandardSystemProperty
Date: 2016-05-24

com.google.common.base

## Enum StandardSystemProperty

- java.lang.Object
- - java.lang.Enum<StandardSystemProperty>
  - - com.google.common.base.StandardSystemProperty

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StandardSystemProperty>

      @Beta
      @GwtIncompatible(value="java.lang.System#getProperty")
      @CheckReturnValue
      public enum StandardSystemProperty
      extends java.lang.Enum<StandardSystemProperty>

  Represents a standard system property.
  Since:
    15.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILE_SEPARATOR` File separator ("/" on UNIX).
    `JAVA_CLASS_PATH` Java class path.
    `JAVA_CLASS_VERSION` Java class format version number.
    `JAVA_COMPILER` Name of JIT compiler to use.
    `JAVA_EXT_DIRS` Path of extension directory or directories.
    `JAVA_HOME` Java installation directory.
    `JAVA_IO_TMPDIR` Default temp file path.
    `JAVA_LIBRARY_PATH` List of paths to search when loading libraries.
    `JAVA_SPECIFICATION_NAME` Java Runtime Environment specification name.
    `JAVA_SPECIFICATION_VENDOR` Java Runtime Environment specification vendor.
    `JAVA_SPECIFICATION_VERSION` Java Runtime Environment specification version.
    `JAVA_VENDOR` Java Runtime Environment vendor.
    `JAVA_VENDOR_URL` Java vendor URL.
    `JAVA_VERSION` Java Runtime Environment version.
    `JAVA_VM_NAME` Java Virtual Machine implementation name.
    `JAVA_VM_SPECIFICATION_NAME` Java Virtual Machine specification name.
    `JAVA_VM_SPECIFICATION_VENDOR` Java Virtual Machine specification vendor.
    `JAVA_VM_SPECIFICATION_VERSION` Java Virtual Machine specification version.
    `JAVA_VM_VENDOR` Java Virtual Machine implementation vendor.
    `JAVA_VM_VERSION` Java Virtual Machine implementation version.
    `LINE_SEPARATOR` Line separator ("\n" on UNIX).
    `OS_ARCH` Operating system architecture.
    `OS_NAME` Operating system name.
    `OS_VERSION` Operating system version.
    `PATH_SEPARATOR` Path separator (":" on UNIX).
    `USER_DIR` User's current working directory.
    `USER_HOME` User's home directory.
    `USER_NAME` User's account name.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `key()` Returns the key used to lookup this system property.
    `java.lang.String` | `toString()` Returns a string representation of this system property.
    `java.lang.String` | `value()` Returns the current value for this system property by delegating to `System.getProperty(String)`.
    `static StandardSystemProperty` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StandardSystemProperty[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JAVA_VERSION

          public static final StandardSystemProperty JAVA_VERSION

      Java Runtime Environment version.

    - #### JAVA_VENDOR

          public static final StandardSystemProperty JAVA_VENDOR

      Java Runtime Environment vendor.

    - #### JAVA_VENDOR_URL

          public static final StandardSystemProperty JAVA_VENDOR_URL

      Java vendor URL.

    - #### JAVA_HOME

          public static final StandardSystemProperty JAVA_HOME

      Java installation directory.

    - #### JAVA_VM_SPECIFICATION_VERSION

          public static final StandardSystemProperty JAVA_VM_SPECIFICATION_VERSION

      Java Virtual Machine specification version.

    - #### JAVA_VM_SPECIFICATION_VENDOR

          public static final StandardSystemProperty JAVA_VM_SPECIFICATION_VENDOR

      Java Virtual Machine specification vendor.

    - #### JAVA_VM_SPECIFICATION_NAME

          public static final StandardSystemProperty JAVA_VM_SPECIFICATION_NAME

      Java Virtual Machine specification name.

    - #### JAVA_VM_VERSION

          public static final StandardSystemProperty JAVA_VM_VERSION

      Java Virtual Machine implementation version.

    - #### JAVA_VM_VENDOR

          public static final StandardSystemProperty JAVA_VM_VENDOR

      Java Virtual Machine implementation vendor.

    - #### JAVA_VM_NAME

          public static final StandardSystemProperty JAVA_VM_NAME

      Java Virtual Machine implementation name.

    - #### JAVA_SPECIFICATION_VERSION

          public static final StandardSystemProperty JAVA_SPECIFICATION_VERSION

      Java Runtime Environment specification version.

    - #### JAVA_SPECIFICATION_VENDOR

          public static final StandardSystemProperty JAVA_SPECIFICATION_VENDOR

      Java Runtime Environment specification vendor.

    - #### JAVA_SPECIFICATION_NAME

          public static final StandardSystemProperty JAVA_SPECIFICATION_NAME

      Java Runtime Environment specification name.

    - #### JAVA_CLASS_VERSION

          public static final StandardSystemProperty JAVA_CLASS_VERSION

      Java class format version number.

    - #### JAVA_CLASS_PATH

          public static final StandardSystemProperty JAVA_CLASS_PATH

      Java class path.

    - #### JAVA_LIBRARY_PATH

          public static final StandardSystemProperty JAVA_LIBRARY_PATH

      List of paths to search when loading libraries.

    - #### JAVA_IO_TMPDIR

          public static final StandardSystemProperty JAVA_IO_TMPDIR

      Default temp file path.

    - #### JAVA_COMPILER

          public static final StandardSystemProperty JAVA_COMPILER

      Name of JIT compiler to use.

    - #### JAVA_EXT_DIRS

          public static final StandardSystemProperty JAVA_EXT_DIRS

      Path of extension directory or directories.

    - #### OS_NAME

          public static final StandardSystemProperty OS_NAME

      Operating system name.

    - #### OS_ARCH

          public static final StandardSystemProperty OS_ARCH

      Operating system architecture.

    - #### OS_VERSION

          public static final StandardSystemProperty OS_VERSION

      Operating system version.

    - #### FILE_SEPARATOR

          public static final StandardSystemProperty FILE_SEPARATOR

      File separator ("/" on UNIX).

    - #### PATH_SEPARATOR

          public static final StandardSystemProperty PATH_SEPARATOR

      Path separator (":" on UNIX).

    - #### LINE_SEPARATOR

          public static final StandardSystemProperty LINE_SEPARATOR

      Line separator ("\n" on UNIX).

    - #### USER_NAME

          public static final StandardSystemProperty USER_NAME

      User's account name.

    - #### USER_HOME

          public static final StandardSystemProperty USER_HOME

      User's home directory.

    - #### USER_DIR

          public static final StandardSystemProperty USER_DIR

      User's current working directory.

  - ### Method Detail

    - #### values

          public static StandardSystemProperty[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StandardSystemProperty c : StandardSystemProperty.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StandardSystemProperty valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### key

          public java.lang.String key()

      Returns the key used to lookup this system property.

    - #### value

          @Nullable
          public java.lang.String value()

      Returns the current value for this system property by delegating to `System.getProperty(String)`.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this system property.
      Overrides:
        `toString` in class `java.lang.Enum<StandardSystemProperty>`